////////////////////////////////////////
//  useful types and macros           //
//                                    //
//  Example file named: NEWTYPES.CPP  //
////////////////////////////////////////


#ifndef _NEWTYPES_             /* is "NEWTYPES" defined ? */
#define _NEWTYPES_             /* Multiple #include preventer */

typedef int                 BOOL; 
#define	TRUE (1==1)
#define FALSE (1!=1)

typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef unsigned char       BYTE;
typedef unsigned long       DWORD;
typedef DWORD               LONGINT;

typedef unsigned int        UINT;

#ifdef STRICT
typedef signed long         LONG;
#else
#define LONG long
#endif

#define LOBYTE(w)           ((BYTE)(w))
#define HIBYTE(w)           ((BYTE)((UINT)(w) >> 8))

#define LOWORD(l)           ((WORD)(l))
#define HIWORD(l)           ((WORD)((DWORD)(l) >> 16))

#define MAKELONG(low, high) ((LONG)(((WORD)(low)) | (((DWORD)((WORD)(high))) << 16)))

#if !defined(NOMINMAX) && !defined(__cplusplus)
#ifndef max
#define max(a,b)            (((a) > (b)) ? (a) : (b))
#endif
#ifndef min
#define min(a,b)            (((a) < (b)) ? (a) : (b))
#endif
#endif  /* NOMINMAX */

#endif  /* is "NEWTYPES" defined ? */
